[blfs-dev] polkit

Armin K. krejzi at email.com
Sun Feb 24 01:35:58 PST 2013


On 02/24/2013 03:21 AM, Jean-Philippe MENGUAL wrote:
>
> Hi,
>
> The book mentions, for polkit, that spidermonkey is required at runtime. In my
> experience, spidermonkey is required too at build time. configure checks for
> moz185, available only in spidermonkey. So we should add spidermonkey to required
> deps, without mentioning runtime.
>
> Sincerely,
>
> JPM
>

http://cgit.freedesktop.org/polkit/commit/?id=34cb6353b9affd6c04ea480df5fc39d0ca72319d

http://cgit.freedesktop.org/polkit/commit/?id=a6747362693a91f8cfa3bd5e619cf91e2e03941b

Even if configure still looks for it, these two commits say it's only 
needed at runtime.

But then, there is this one

http://cgit.freedesktop.org/polkit/tree/configure.ac?id=34cb6353b9affd6c04ea480df5fc39d0ca72319d#n129

Which says we need it at build time. Grrr ....



More information about the blfs-dev mailing list